### Method

# EBookContacts Contact set

#### Declaration [src]

    void
    e_contact_set (
      EContact* contact,
      EContactField field_id,
      gconstpointer value
    )

#### Description [src]

Sets the value of `contact`‘s field specified by `field_id` to `value`.

#### Parameters

`field_id`

  Type: `EContactField`

  An `EContactField`.

`value`

  Type: `gconstpointer`

  A value whose type depends on the `field_id`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.